ibatis-user-java mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Iwao AVE!" <haraw...@gmail.com>
Subject Re: [ANNOUNCE] Ibator Version 1.2.0 Now Available
Date Sat, 13 Dec 2008 17:21:55 GMT
Thank you for using your time, Jeff.

Abator 1.1.0 works just fine, so there's no hurry.
Have a nice weekend :)

Regards,
Iwao

on 08.12.14 1:05 AM Jeff Butler said the following:
> Hi Iwao,
> 
> I'm sorry for your trouble.
> 
> I am able to re-create this problem, and I have a fix for it.  In my
> attempt to simplify the classloading strategies in Ibator, I made it
> too simple.  So Ibator is, in effect, ignoring the ant classloader in
> the Eclipse environment.
> 
> My intent is that you can do exactly what you describe - add extra
> classpath entries to the Ant runtime configuration, or the external
> tools configuration.
> 
> As I said, I have a fix working already.  Unfortunately, I can find no
> way to workaround this with the current version of Ibator.  So I'll
> publish a new version of everything.
> 
> Jeff Butler
> 
> 
> On Fri, Dec 12, 2008 at 10:50 PM, Iwao AVE! <harawata@gmail.com> wrote:
>> Hi Jeff,
>>
>> Thank you for improving the great tool!
>>
>> I have been trying to make it work with Eclipse ant integration.
>> I could generate artifacts using Eclipse ant integration without a
>> problem.
>> But if I configure IbatorConfig.xml to use my custom extension
>> classes (e.g. javaTypeResolver), I get ClassNotFoundException.
>>
>> In the 'External Tools Configuraion', I added a JAR that contains my
>> custom extension classes (rewritten for 1.2.0) to the 'User Entries'
>> classpath and chose 'Run in the same JRE as the workspace' as
>> Runtime JRE.
>> I just specified a path to the JDBC driver as <classPathEntry /> in
>> the IbatorConfig.xml.
>> Is there any extra configuration required for ibator 1.2.0 ?
>>
>> My environment:
>> - Eclipse 3.4.1
>> - Java 1.5.0_16 (Mac OS X 10.5.5)
>>
>> Thanks,
>> Iwao


Mime
View raw message